%error1 = ForceRequiredAddOn("Support_Garage");
%error2 = ForceRequiredAddOn("Vehicle_Jeep");

if(%error1 == $Error::AddOn_NotFound || %error2 == $Error::AddOn_NotFound)
{
   if(%error1 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_Hydric - required add-on Support_Garage not found");
   if(%error2 == $Error::AddOn_NotFound)
      error("ERROR: Vehicle_Hydric - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./Hydric_Tire.cs");
	exec("./HydricDrift_Tire.cs");
	exec("./Hydric_Explosion.cs");
	exec("./Hydric_FinalExplosion.cs");
	exec("./Hydric_Spring.cs");
	exec("./HydricDrift_Spring.cs");
	exec("./Hydric.cs");
	exec("./HydricDrift.cs");
	exec("./HydricSedan.cs");
	exec("./Hydric_Sounds.cs");
	exec("./Support_HandsOnVehicle.cs");  
}